/*
Nome: Mario
Cognome: Montanari

Matrice Nulla
*/

#include <iostream>
#include <array>
#include <iomanip>

#define NROW 4
#define NCOL 4

using namespace std;

void fillMatrix(int matrix[][NCOL], int nrow, int ncol);
void printMatrix(int matrix[][NCOL], int nrow, int ncol);

int main(void) {
	int matrix[NROW][NCOL];
	
	fillMatrix(matrix, NROW, NCOL);
	printMatrix(matrix, NROW, NCOL);
	
	return 0;
}

void fillMatrix(int matrix[][NCOL], int nrow, int ncol) {
	for (int i = 0; i < nrow; i++) {
		for (int j = 0; j < ncol; j++) {
			matrix[i][j] = 0;	
		}
	}
}

void printMatrix(int matrix[][NCOL], int nrow, int ncol) {
	for (int i = 0; i < nrow; i++) {
		cout << endl;
		for (int j = 0; j < ncol; j++) {
			cout << setw(5) << matrix[i][j];
		}
		cout << endl;
	}
	cout << endl;
}